summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--qa/vagrant/src/test/resources/packaging/scripts/module_and_plugin_test_cases.bash37
1 files changed, 10 insertions, 27 deletions
diff --git a/qa/vagrant/src/test/resources/packaging/scripts/module_and_plugin_test_cases.bash b/qa/vagrant/src/test/resources/packaging/scripts/module_and_plugin_test_cases.bash
index fbc0f4a887..b979f40e30 100644
--- a/qa/vagrant/src/test/resources/packaging/scripts/module_and_plugin_test_cases.bash
+++ b/qa/vagrant/src/test/resources/packaging/scripts/module_and_plugin_test_cases.bash
@@ -436,38 +436,21 @@ fi
sudo -E -u $ESPLUGIN_COMMAND_USER "$ESHOME/bin/elasticsearch-plugin" install "file://$relativePath" > /tmp/plugin-cli-output
# exclude progress line
local loglines=$(cat /tmp/plugin-cli-output | grep -v "^[[:cntrl:]]" | wc -l)
- if [ "$GROUP" == "TAR PLUGINS" ]; then
- # tar extraction does not create the plugins directory so the plugin tool will print an additional line that the directory will be created
- [ "$loglines" -eq "3" ] || {
- echo "Expected 3 lines excluding progress bar but the output had $loglines lines and was:"
- cat /tmp/plugin-cli-output
- false
- }
- else
- [ "$loglines" -eq "2" ] || {
- echo "Expected 2 lines excluding progress bar but the output had $loglines lines and was:"
- cat /tmp/plugin-cli-output
- false
- }
- fi
+ [ "$loglines" -eq "2" ] || {
+ echo "Expected 2 lines excluding progress bar but the output had $loglines lines and was:"
+ cat /tmp/plugin-cli-output
+ false
+ }
remove_jvm_example
local relativePath=${1:-$(readlink -m jvm-example-*.zip)}
sudo -E -u $ESPLUGIN_COMMAND_USER ES_JAVA_OPTS="-Des.logger.level=DEBUG" "$ESHOME/bin/elasticsearch-plugin" install "file://$relativePath" > /tmp/plugin-cli-output
local loglines=$(cat /tmp/plugin-cli-output | grep -v "^[[:cntrl:]]" | wc -l)
- if [ "$GROUP" == "TAR PLUGINS" ]; then
- [ "$loglines" -gt "3" ] || {
- echo "Expected more than 3 lines excluding progress bar but the output had $loglines lines and was:"
- cat /tmp/plugin-cli-output
- false
- }
- else
- [ "$loglines" -gt "2" ] || {
- echo "Expected more than 2 lines excluding progress bar but the output had $loglines lines and was:"
- cat /tmp/plugin-cli-output
- false
- }
- fi
+ [ "$loglines" -gt "2" ] || {
+ echo "Expected more than 2 lines excluding progress bar but the output had $loglines lines and was:"
+ cat /tmp/plugin-cli-output
+ false
+ }
remove_jvm_example
}